Skip to main content
`Ctrl`+`K`
scipy.sparse.csgraph.

# csgraph_from_masked

scipy.sparse.csgraph.csgraph_from_masked(graph)

  Construct a CSR-format graph from a masked array.

  Added in version 0.11.0.

  Parameters:
    graph MaskedArray

      Input graph. Shape should be (n_nodes, n_nodes).

  Returns:
    csgraph csr_array

      Compressed sparse representation of graph,

  Examples

      >>> import numpy as np
      >>> from scipy.sparse.csgraph import csgraph_from_masked

      >>> graph_masked = np.ma.masked_array(data =[
      ... [0, 1, 2, 0],
      ... [0, 0, 0, 1],
      ... [0, 0, 0, 3],
      ... [0, 0, 0, 0]
      ... ],
      ... mask=[[ True, False, False,  True],
      ...       [ True,  True,  True, False],
      ...       [ True,  True,  True, False],
      ...       [ True,  True,  True,  True]],
      ... fill_value = 0)

      >>> csgraph_from_masked(graph_masked)
      <Compressed Sparse Row sparse array of dtype 'float64'
          with 4 stored elements and shape (4, 4)>